.header {
  position: fixed;
  z-index: 9;
  width: 100%;
  padding: 14px 0;
  background: #000;
}

.header-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.header-logo {
  display: block;
  width: 140px;
}

.menu-btn {
  svg {
    stroke: #fff;
    fill: none;
  }
}

.page-nav {
  display: none;
}

.page-nav-list {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 32px;
}

.page-nav-link {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 32px;
  line-height: 246%;
  text-align: center;
  color: #fff;
  transition: color 0.3s ease;
}

.page-nav-link:hover {
  color: #00ffa3;
}

@media screen and (min-width: 1436px) {
  .header {
    background: none;
  }

  .header-container {
    flex-direction: row-reverse;
  }

  .header-logo {
    width: 500px;
  }

  .page-nav {
    display: block;
  }

  .menu-btn {
    display: none;
  }
}

/* modal  */

.menu {
  position: fixed;
  top: 90px;
  left: 50%;
  z-index: 8;
  padding: 50px 20px;

  transform: translateY(-130%) translateX(-50%);
  transition: transform 1s ease;
  background: #000;
}

.menu-nav-list {
  flex-direction: column;
  align-items: flex-start;
}

/* popup */

.page-popup {
  position: fixed;
  z-index: 10;
  bottom: 15px;
  left: 50%;
  transform: translateX(-50%);
  transition: transform 0.4s ease;
  padding: 22px;
  border: 1px solid #fff;
  border-radius: 20px;
  box-shadow: 0 14px 42px 0 rgba(8, 15, 52, 0.06);
  background: #000;
}

.popup-img {
  margin: 0 auto;
  margin-bottom: 11px;
}

.popup-text {
  font-family: var(--second-family);
  font-weight: 400;
  font-size: 18px;
  line-height: 150%;
  text-align: center;
  color: #fff;
  margin-bottom: 32px;

  a {
    color: #00ffa3;
    text-decoration: underline;
  }
}

.popup-btn {
  border: 1px solid #00ffa3;
  border-radius: 12px;
  padding: 12px 24px;
  box-shadow: 0 4px 8px 0 rgba(74, 58, 255, 0.08);

  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 150%;
  color: #00ffa3;
  transition: color 0.3s ease, background-color 0.3s ease;
}

.popup-btn:hover {
  background: #00ffa3;
  color: #fff;
}

.popup-wrap {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 20px;
}

@media screen and (min-width: 768px) {
  .popup-text {
    font-size: 20px;
  }

  .popup-wrap {
    flex-direction: row;
  }
}

@media screen and (min-width: 1436px) {
  .page-popup {
    padding: 40px;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .popup-img {
    margin: 0;
    flex-shrink: 0;
    margin-right: 25px;
  }

  .popup-text {
    margin: 0;
    text-align: start;
  }

  .popup-wrap {
    flex-direction: row;
    flex-shrink: 0;
  }
}

/* hero  */

.dashboard {
  padding-top: 94px;
  padding-bottom: 174px;
  background-image: url(../img/hero.webp);
  background-position: center;
  background-size: cover;
}

.hero-title {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 40px;
  line-height: 99%;
  text-align: center;
  color: #fff;
  text-shadow: 0 2px 2px #000;
  margin-bottom: 10px;
}

.hero-link {
  display: block;
  margin: 0 auto;
  width: 266px;
  max-width: 100%;
  transition: transform 0.35s ease;
}

.hero-link:hover {
  transform: scale(0.95);
}

.hero-text {
  border-radius: 20px;
  padding: 46px 32px;
  background: #1e1e1e;
  border: 2px solid red;

  font-family: var(--font-family);
  font-weight: 400;
  font-size: 24px;
  line-height: 108%;
  text-transform: uppercase;
  text-align: center;
  color: #fff;

  span {
    text-transform: uppercase;
    color: #00ffa3;
  }
}

@media screen and (min-width: 1436px) {
  .dashboard {
    padding-top: 353px;
    padding-bottom: 20px;
  }

  .hero-wrap {
    width: 742px;
    margin-left: auto;
  }

  .hero-title {
    font-size: 76px;
    margin-bottom: 19px;
  }

  .hero-link {
    width: 366px;
  }

  .hero-text {
    border-radius: 20px;
    padding: 46px 32px;
    font-size: 32px;
  }
}

/* about  */

#about {
  background-image: url(../img/about.jpg);
  background-position: center;
  background-size: cover;
}

.about-logo {
  width: 333px;
  margin: 0 auto;
  margin-bottom: 13px;
}

.about-img {
  margin: 43px auto;
}

.featurs-wrap {
  display: flex;
  flex-direction: column;
  gap: 43px;
}

.bonus-list {
  display: flex;
  flex-direction: column;
  gap: 25px;

  li {
    display: flex;
    align-items: center;
    gap: 18px;
  }

  img {
    width: 40px;
    flex-shrink: 0;
  }

  p {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 40px;
    line-height: 60%;
    color: #fff;
  }

  span {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 18px;
    line-height: 60%;
    color: #fff;
  }
}

@media screen and (min-width: 1436px) {
  .about-content {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    margin-top: 34px;
  }

  .about-img {
    margin: 0;
    flex-shrink: 0;
  }
}

/* footer-wrapper  */

.footer-wrapper {
  background-image: url(../img/about.jpg);
  background-position: center;
  background-size: cover;
}

/* demo */

.iframe-wrap {
  position: relative;
  width: 100%;
  height: 200px;
  margin-top: 60px;
}

#gameIframe {
  width: 100%;
  height: 100%;
  border: none;
}

@media screen and (min-width: 768px) {
  .iframe-wrap {
    height: 350px;
  }
}

@media screen and (min-width: 1200px) {
  .iframe-wrap {
    height: 550px;
  }
}

.close-button-frame {
  position: absolute;
  top: 0;
  right: 0;
  transform: translateY(-40px) translateX(10px);
  border: none;
  width: 30px;
  height: 30px;
  cursor: pointer;
  padding: 0;
  background-color: transparent;
  z-index: 20;
  .menu-svg {
    fill: #fff;
    stroke: #fff;
  }
}

.close-button-frame:hover {
  .menu-svg {
    fill: red;
    stroke: red;
  }
}

/* footer */

.footer {
  display: flex;
  flex-direction: column;
  gap: 48px;
}

.footer-list {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 36px;

  font-family: var(--font-family);
  font-weight: 400;
  font-size: 32px;
  line-height: 75%;
  text-transform: uppercase;
  text-decoration: underline;
  text-decoration-skip-ink: none;
  text-align: right;
  color: #f00;
  transition: color 0.3s ease;
  margin-bottom: 18px;

  a:hover {
    color: #00ffa3;
    text-decoration: underline;
  }
}

.footer-text {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 18px;
  line-height: 133%;
  text-align: center;
  color: #fff;
}

@media screen and (min-width: 1439px) {
  .footer {
    flex-direction: row;
    align-items: flex-end;
    gap: 500px;
  }

  .footer-list {
    align-items: flex-end;
  }

  .footer-text {
    text-align: end;
  }
}

/* ********************* */

.hidden {
  display: none;
}

.menu-transform {
  transform: translateY(0) translateX(-50%);
}

.click {
  transform: rotate(180deg);
}

.popup-click {
  transform: translateY(130%) translateX(-50%);
}

.overflow {
  overflow: hidden;
}
